#!/bin/bash
#
# For doing the initial configuration for a Raspberry Pi.  Assumes that you unzipped 
# 'Frogdown.zip' in your '~' directory!
# And the config files (and you) are now in the 
# ~/Frogdown/etc/markcms-linux-raspberry-pi directory
#
# You must do 'chmod 744 *.sh' to run this script
# then type './first-time.sh

# Make the scripts be executable
chmod +x ~/Frogdown/bin/*.sh
chmod +x ~/Frogdown/bin/*.pl
# Hmm.  You might already have content in the DocumentRoot directory
# that Frogdown shouldn't overwrite.
#chmod +x ~/Frogdown/frog_authoring/*.sh
chmod +x ~/Frogdown/frog_authoring/Frogdown/*.sh

# This should only be run once.
# We aren't needed anymore
mv -f first-time.sh first-time.sh.txt
chmod -x first-time.sh.txt

cp *.cfg ../markcms

#echo Now change to ../markcms and edit 'frog-site-locations.cfg' and correct your IP address
#echo Which is `hostname -I`
